Subject: RE: Problem w/ cygwin tar.exe: Unable to tar directories beginnin g w/ the letter 'R' in NT 4.0
From: Bernard Dautrevaux <[email-masked]>
To: "'VanRossem, James'" <[email-masked]>
Cc: "GnuWin32 Mailing List (Adresse de messagerie)" <[email-masked]>
Date: Tue, 6 Feb 2001 20:23:52 +0100

> -----Original Message-----
> From: VanRossem, James
> [mailto:[email-masked]]
> Sent: Tuesday, February 06, 2001 8:30 PM
> To: Bernard Dautrevaux
> Subject: RE: Problem w/ cygwin tar.exe: Unable to tar directories
> beginnin g w/ the letter 'R' in NT 4.0
> 
> 
> hi bernard, thanks for all your help.  
> With regards to your comment, i'm invoking
> cygwin tar from the 'cmd' prompt under windows NT 4.0
> I don't think it's the sh/bash shell.  In which case, the
> '\' should not be an escape character.  Apparently, you're 
> correct in that
> if i use forward slashes, 
> it seems to work and if I use double backslashes it seemed to 
> work also.
> I'm still confused on why that is, since this
> is an NT environment and '\' should work.  (I don't run tar in the
> pseudo-UNIX environment)
> I just copy the tar.exe, gzip.exe and cygwin1.dll file to the 
> directory i'm
> using, (for testing purposes)
> and call tar from there (the NT command prompt).
> GNU tar works fine, but
> Cygwin tar can't work with single '\', do you have any ideas why?
> thanks again,

My best guess would be that, if invoked from cmd, Cygwin tools will try to
'glob' their arguments (that is expand *, ? and other meta-characters). I've
not looked at the code but I suspect that cygwin, in this case, is expanding
escape sequences (so that for example you can have an explicit * in an
argument) and will gobble the single backslashes (and convert \r to a CR)

Does anybody with knowledge of this part of the code could confirm or infirm
this ? sorry, I cannot check it myself now; it's getting late here in Paris
and I'm going to come back home :-)

HTH,

	Bernard

PS: James, avoid answering only to me: this kind of discussion pertain to
the mailing list. I'm only send it directly to you (also) so that you do not
have to search in the 80+ dayly messages in the list to find your answer :-)

--------------------------------------------
Bernard Dautrevaux
Microprocess Ingenierie
97 bis, rue de Colombes
92400 COURBEVOIE
FRANCE
Tel:	+33 (0) 1 47 68 80 80
Fax:	+33 (0) 1 47 88 97 85
e-mail:	[email-masked]
		[email-masked]
-------------------------------------------- 

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple